//Narayanan, K. V.,A Textbook of Chemical Engineering Thermodynamics,2nd edn.,PHI Learning Pvt Ltd.,2013
//Chapter 3: P-V-T Behaviour and Heat Effects
//Example: 3.11 Page 72
//Title: Heat of formation
//===================================================

model Ex3_11

//===========
//Parameter Section
parameter Real H1(unit = "kJ") = -509.93 "Heat of reaction 1";
parameter Real H2(unit = "kJ") = -296.03 "Heat of reaction 2";
parameter Real H3(unit = "kJ") = -393.78 "Heat of reaction 3";
parameter Real H4(unit = "kJ") = -167.57 "Heat of reaction 4";

//==========
//Variable Section
Real delta_Hf(unit = "kJ/mol") "Heat of formation of methane gas";

//===========
//Equation Section
equation
delta_Hf = (H3+3*H4-H2-H1);

end Ex3_11;
